aboutsummaryrefslogtreecommitdiff
path: root/gd
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
commit3b42ea2913d5aa8077aba9fe1761b824398f9804 (patch)
tree64bcbbc6876e27f863df0ef9e9346e22b8291294 /gd
parent8faf3506c7ee2a4a2f210d11d41ba91d9bd27eea (diff)
downloadslackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.gz
slackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.bz2
fixing permissions, part 1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@455 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'gd')
-rwxr-xr-xgd/gd.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/gd/gd.SlackBuild b/gd/gd.SlackBuild
new file mode 100755
index 00000000..4cbad230
--- /dev/null
+++ b/gd/gd.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+#
+# slackbuild script for gd
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="gd"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.0.33}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.boutell.com/gd/http/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+# building with --disable-shared, otherwise stuff such as mrtg wont compile
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-fontconfig=no --disable-shared
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+gd: gd (A library used to create PNGs, JPEGs, and other images)
+gd:
+gd: gd is a library for creating and reading PNG, JPEG, GIF, and WBMP
+gd: images. It has many features and can be used in scripts (e.g. PHP)
+gd: for dynamic image generation. PHP users should note that PHP 4.3.x
+gd: includes its own distribution of gd, which is currently the best
+gd: choice for PHP applications.
+gd:
+gd:
+gd:
+gd:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in COPYING INSTALL README-JPEG.TXT README.TXT; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+